---
- name: Create Authprovider Lambda Response monitor
  datadog_monitor:
      type: "metric alert"
      name: "Authprovider Lambda Response Time"
      state: "present"
      locked: "yes"
      notify_no_data: "no"
      require_full_window: "no"
      thresholds:
        critical: "1000"
        critical_recovery: "999"
      query: "avg(last_5m):avg:aws.lambda.duration{functionname:{{ AuthProviderLambdaName }}} > 1000"
      message: "[[#is_alert]] Average duration for {{ AuthProviderLambdaName }} is currently [[value]] seconds. This is above the defined threshold of [[threshold]] seconds. [[/is_alert]] [[#is_alert_recovery]] Average duration for {{ AuthProviderLambdaName }} is no longer above [[threshold]] seconds. [[/is_alert_recovery]] Notify @pagerduty-PagerDutyGlobalEventRules"
      api_key: "{{ DATADOG_API_KEY }}"
      app_key: "{{ DATADOG_APP_KEY }}"
      tags:
        - "{{ AuthProviderLambdaName }}"
        - "Portal"
        - "Loan-Servicing"